import { SkeletonAnimationType, SkeletonColorType, SkeletonShapesType } from "./constants";
import { GovHost } from "../../../helpers/Dom/template.types";
import { FormInputSizesType } from "../../gov-form/input/constants";
import { Attributes } from "../../../helpers/Dom/attribute";
export declare class GovSkeleton {
    h: GovHost;
    private attributeObserver;
    constructor();
    host: HTMLGovSkeletonElement;
    /**
     * Input’s size.
     */
    readonly size?: FormInputSizesType;
    /**
     * Style variation of the skeleton.
     */
    readonly color?: SkeletonColorType;
    /**
     * Shape of the skeleton
     */
    shape?: SkeletonShapesType;
    /**
     * Width of the skeleton ex. 100px, 100%, auto etc.
     */
    width?: string;
    /**
     * Height of the skeleton ex. 100px, 100%, auto etc.
     */
    height?: string;
    /**
     * Animation type
     */
    animation?: SkeletonAnimationType;
    items: number[];
    validateSize(newValue: string): void;
    validateShape(newValue: string): void;
    validateAnimation(newValue: string): void;
    inheritedAttributes: Attributes;
    componentDidLoad(): void;
    componentWillLoad(): void;
    componentWillUpdate(): void;
    disconnectedCallback(): void;
    onAriaAttributeChange(attributeName: string, newValue: string): void;
    init(): void;
    render(): any;
}
